Subject: Re: bug#13222: 24.2; C-c C-c in shell mode on OSX sends SIGINT

From: "Tim Daly Jr." <[email-masked]>
Date: Fri, 21 Dec 2012 13:12:30 -0800

I had it in emacs 23 as well.  I'll do a build of the latest with that change RSN.

Thanks,
Tim

On Dec 21, 2012, at 12:02 PM, Glenn Morris wrote:

> Andreas Schwab wrote:
> 
>> "Tim Daly Jr." <[email-masked]> writes:
>> 
>>> If you ssh someplace in shell mode and hit C-c C-c, it kills the ssh
>>> process.  It wasn't always that way.  The intended effect is just to
>>> kill the foreground process on the remote host, as if you'd hit C-c
>>> at a terminal.
>> 
>> It looks like Darwin doesn't have SIGNALS_VIA_CHARACTERS defined.  Since
>> it's BSD-like I'd guess it really should.
> 
> Could someone with a Mac try this out with the emacs-24 branch, and see
> if it fixes the issue and doesn't cause any obvious problems?
> One way to do it is to run configure as normal, then edit src/config.h
> and uncomment
> 
> #define SIGNALS_VIA_CHARACTERS 1
> 
> (Seems surprising this has not been reported before. AFAICS, S_VIA_C has
> never been defined on Darwin, so this issue should be present in Emacs
> 23 as well. Would be good if someone could check that too.)